# salt.states.zabbix_usergroup

Warning

This module will be removed from Salt in version 3009 in favor of the zabbix Salt Extension.

Management of Zabbix user groups.

codeauthor:

  Jiri Kotlin <jiri.kotlin@ultimum.io>

salt.states.zabbix_usergroup.absent(name, **kwargs)

  Ensures that the user group does not exist, eventually delete user group.

  Added in version 2016.3.0.

  Parameters:

    - name -- name of the user group

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      delete_thai_monks_usrgrp:
          zabbix_usergroup.absent:
              - name: 'Thai monks'

salt.states.zabbix_usergroup.present(name, **kwargs)

  Creates new user group. NOTE: This function accepts all standard user group properties: keyword argument names differ depending on your zabbix version, see: https://www.zabbix.com/documentation/2.0/manual/appendix/api/usergroup/definitions#user_group

  Added in version 2016.3.0.

  Parameters:

    - name -- name of the user group

    - _connection_user -- Optional - zabbix user (can also be set in opts or pillar, see module's docstring)

    - _connection_password -- Optional - zabbix password (can also be set in opts or pillar, see module's docstring)

    - _connection_url -- Optional - url of zabbix frontend (can also be set in opts, pillar, see module's docstring)

      make_new_thai_monks_usergroup:
          zabbix_usergroup.present:
              - name: 'Thai monks'
              - gui_access: 1
              - debug_mode: 0
              - users_status: 0